Bug 1680540 (CVE-2018-20784) - CVE-2018-20784 kernel: infinite loop in update_blocked_averages() in kernel/sched/fair.c leading to denial of service
Summary: CVE-2018-20784 kernel: infinite loop in update_blocked_averages() in kernel/s...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-20784
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1680544 1685635 1685636 1685637 1715343 1716872
Blocks: 1680575
TreeView+ depends on / blocked
 
Reported: 2019-02-25 10:01 UTC by msiddiqu
Modified: 2019-10-02 11:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The CFS Linux kernel scheduler mishandles handling of leaf cfs_rq's in the kernel/sched/fair.c code, which allows a local unprivileged attacker to cause a denial of service (DoS) by entering an infinite loop in update_blocked_averages() function by inducing a high load on a system. Due to the nature of the flaw, a remote network attack (by initiating a magnitude of remote requests) cannot be fully ruled out.
Clone Of:
Environment:
Last Closed: 2019-07-30 13:18:23 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1977 None None None 2019-07-30 14:16:00 UTC
Red Hat Product Errata RHSA-2019:1959 None None None 2019-07-30 09:42:16 UTC
Red Hat Product Errata RHSA-2019:1971 None None None 2019-07-30 11:02:06 UTC

Description msiddiqu 2019-02-25 10:01:42 UTC
The CFS Linux kernel scheduler mishandles handling of leaf cfs_rq's in the kernel/sched/fair.c code, which allows a local unprivileged attacker to cause a denial of service (DoS) by entiring the infinite loop in update_blocked_averages() function by inducing a high load on a system. Due to the nature of the flaw, a remote network attack (by initiating a magnitude of remote requests) cannot be fully ruled out, although we believe it is unlikely.

References:

https://lore.kernel.org/lkml/1545879866-27809-1-git-send-email-xiexiuqi@huawei.com/T/#u

An upstream patch:

https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=c40f7d74c741a907cfaeb73a7697081881c497d0

Comment 1 msiddiqu 2019-02-25 10:03:34 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1680544]

Comment 3 Justin M. Forbes 2019-02-25 13:04:08 UTC
This was fixed for Fedora with the 4.20 stable rebases.

Comment 7 errata-xmlrpc 2019-07-30 09:42:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1959 https://access.redhat.com/errata/RHSA-2019:1959

Comment 8 errata-xmlrpc 2019-07-30 11:02:05 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:1971 https://access.redhat.com/errata/RHSA-2019:1971

Comment 9 Product Security DevOps Team 2019-07-30 13:18:23 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-20784


Note You need to log in before you can comment on or make changes to this bug.